# PCILUSetDamping

adds this quantity to the diagonal of the matrix during the ILU numerical factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCILUSetDamping(PC pc,PetscReal damping)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| damping | - amount of damping

### Options Database Key

-pc_ilu_damping <damping> -Sets damping amount or PETSC_DECIDE for the default

Note: If 0.0 is given, then no damping is used. If a diagonal element is classified as a zero pivot, then the damping is doubled until this is alleviated.

### Keywords

PC, set, factorization, direct, fill

### See Also

PCILUSetFill(), PCLUSetDamping(), PCILUSetShift()

Level:intermediate
Location:src/ksp/pc/impls/ilu/ilu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages